#
# spec file for package zathura-plugin-pdf-poppler
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define realname zathura-pdf-poppler
Name:           zathura-plugin-pdf-poppler
Version:        0.3.3
Release:        1.4
Summary:        PDF support for zathura via poppler
License:        Zlib
Group:          Productivity/Office/Other
URL:            https://pwmt.org/projects/%{realname}/
Source:         https://pwmt.org/projects/%{realname}/download/%{realname}-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(girara-gtk3)
BuildRequires:  pkgconfig(poppler-glib) >= 21.12
BuildRequires:  pkgconfig(zathura) >= 0.5.3
Requires:       zathura >= 0.5.3
Provides:       zathura-pdf-poppler-plugin

%description
The zathura-pdf-poppler plugin adds PDF support to zathura by using the poppler rendering engine.

%prep
%setup -q -n %{realname}-%{version}

%build
export CFLAGS="%{optflags}"
%meson -Dtests=disabled
%meson_build

%install
%meson_install
find %{buildroot} -name '*.desktop' -delete -print

%files -n %{name}
%license LICENSE
%doc AUTHORS
%dir %{_libdir}/zathura
%{_libdir}/zathura/libpdf-poppler.so
%{_datadir}/metainfo/org.pwmt.zathura-pdf-poppler.metainfo.xml

%changelog
* Sun Aug 11 2024 Jakob Lorenz <onlyjak0b@mailbox.org>
- Update to 0.3.3:
  * Various bug fixes and improvements
* Sun Dec 31 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to 0.3.2:
  * Implement support for document signature
  * Fix double encoding in document index
* Tue Dec 13 2022 llyyr <llyyr.public@gmail.com>
- Update to 0.3.1
  * Implement better text selection
* Tue Feb 11 2020 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.3.0
  * Small improvements
* Wed Aug  8 2018 jengelh@inai.de
- Remove unnecessary ldconfig calls for plugins.
* Sat May 26 2018 mimi.vx@gmail.com
- update to 0.2.9
  * use meson build system
  * Provide page labels
* Fri Jan 26 2018 mimi.vx@gmail.com
- update to 0.2.8
  * adapt to new plugin interface
* Sat May 27 2017 bwiedemann@suse.com
- update to 0.2.7
  - Cache page height for improved performance
  - Clean-up old compatibility code
  - Several fixes and improvements
* Tue Feb 23 2016 mimi.vx@gmail.com
- update to 0.2.6
* Fri Nov 21 2014 mimi.vx@gmail.com
- add requires: zathura
* Wed Nov 12 2014 mimi.vx@gmail.com
- renamed to zathura-plugin-pdf-poppler
* Tue Oct 28 2014 mimi.vx@gmail.com
- change licence to Zlib
* Mon Oct 27 2014 mimi.vx@gmail.com
- SFLAGS="" to get debuginfo
* Sat Oct 25 2014 mimi.vx@gmail.com
- add cairo dep
* Thu Oct 23 2014 mimi.vx@gmail.com
- change deps to pkgconfig
* Thu Oct 23 2014 mimi.vx@gmail.com
- remove desktop file
- verbose compile
* Sun Oct  5 2014 and.november@opensuse.org
- update to version 0.2.5
